@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: local("Montserrat Regular"),
    url(../fonts/Montserrat-Regular400.woff2) format("woff2"),
    url(../fonts/Montserrat-Regular400.woff) format("woff"),
    url(../fonts/Montserrat-Regular400.ttf) format("truetype");
}
@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: local("Montserrat SemiBold"),
    url(../fonts/Montserrat-SemiBold600.woff2) format("woff2"),
    url(../fonts/Montserrat-SemiBold600.woff) format("woff"),
    url(../fonts/Montserrat-SemiBold600.ttf) format("truetype");
}
@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: local("Montserrat Bold"),
    url(../fonts/Montserrat-Bold700.woff2) format("woff2"),
    url(../fonts/Montserrat-Bold700.woff) format("woff"),
    url(../fonts/Montserrat-Bold700.ttf) format("truetype");
}

@font-face {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: local("Poppins Medium"),
    url(../fonts/Poppins-Medium.woff2) format("woff2"),
    url(../fonts/Poppins-Medium.woff) format("woff"),
    url(../fonts/Poppins-Medium.ttf) format("truetype");
}
@font-face {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: local("Poppins Bold"), url(../fonts/Poppins-Bold.woff2) format("woff2"),
    url(../fonts/Poppins-Bold.woff) format("woff"),
    url(../fonts/Poppins-Bold.ttf) format("truetype");
}

.advantages {
  padding-bottom: 0;
  padding-top: 50px;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}
.title {
  font-family: "Montserrat", sans-serif;
  color: rgb(61, 61, 61);
}
.small-title {
  color: #ec0000;
  font-family: "Inter";
  text-align: center;
  font-size: 20px;
  font-weight: 400;
}

.advantages .title {
  text-align: center;
  margin-bottom: 80px;
  font-family: "Montserrat", sans-serif;
}

.advantages .small-title {
  margin-bottom: 32px;
}

.advantages-steps {
  position: relative;
  display: grid;
  grid-template-columns: repeat(3, auto);
}

.advantages-steps::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url("/img/line.svg") no-repeat center / contain;
  background-position: 140px 40px;
  background-size: 70%;
  transform: rotate(0deg);
  z-index: -1;
}

.step img {
  position: relative;
  z-index: 1;
}

.step {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  max-width: 360px;
}

.step-text {
  padding: 16px;
}

.step-title {
  text-align: center;
  font-family: "Montserrat", sans-serif;
  font-size: 24px;
  color: #4d6bfe;
  font-weight: 700;
  margin-bottom: 16px;
}

.step-desc {
  color: rgb(82, 82, 82);
  text-align: center;
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  font-weight: 400;
}

@media (max-width: 744px) {
  .advantages {
    padding-bottom: 0;
  }

  .advantages-steps {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
  }

  .step {
    flex-direction: row;
    align-items: flex-start;
    max-width: unset;
    gap: 20px;
  }

  .step-title {
    text-align: left;
  }

  .step-desc {
    text-align: left;
  }

  .advantages-steps::before {
    background: url("/img/line-horizontal.svg") no-repeat center / contain;
    background-position: 40px -110px;
  }
}

@media (max-width: 440px) {
  .advantages {
    padding-bottom: 0;
  }

  .advantages-steps::before {
    background-position: 20px -110px;
  }

  .advantages .title {
    margin-bottom: 40px;
  }

  .advantages .small-title {
    margin-bottom: 16px;
  }

  .number-bg {
    width: 60px;
    height: 60px;
  }

  .step-title {
    font-size: 16px;
  }

  .devices {
    padding: 32px 20px;
  }
}
.number-bg {
  padding: 12px;
  background-color: rgb(255, 255, 255);
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;

  flex-shrink: 0;
}

.form-title {
  color: rgb(82, 82, 82);
  font-family: "Montserrat", sans-serif;
  font-size: 25px;
  text-align: center;
  font-weight: 400;
}

.form-container .btn {
  box-sizing: border-box;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  max-height: -moz-fit-content;
  max-height: fit-content;
  max-width: -moz-fit-content;
  max-width: fit-content;
  padding: 12px 34px;
  color: #fff;
  background-color: #4d6bfe;
  font-family: "Poppins", "Arial", sans-serif;
  font-weight: 500;
  font-size: 16px;
  border-radius: 50px;
  border: 0;
}
.form-container .btn:hover {
  background-color: #4861da;
}
.form-container .btn:active {
  opacity: 0.8;
}
.form-container .btn:disabled {
  cursor: not-allowed;
}
.form-container .btn:disabled,
.form-container .btn:disabled:hover {
  color: #fff;
  background: #ddd;
}
